libetonyek::KEY2StyleContext Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::KEY2StyleContext Class Reference

`#include <KEY2StyleContext.h>`

Inheritance diagram for libetonyek::KEY2StyleContext:

## Public Member Functions
| KEY2StyleContext (KEY2ParserState &state, IWORKStyleMap_t *styleMap, bool nested=false)
Public Member Functions inherited from libetonyek::KEY2XMLContextBase< Base >
| KEY2XMLContextBase (KEY2ParserState &state)
template<typename T >
| KEY2XMLContextBase (KEY2ParserState &state, const T &a)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, KEY2ParserState, KEYCollector >
| IWORKXMLContextBase (KEY2ParserState &state)
| IWORKXMLContextBase (KEY2ParserState &state, const T &a)
KEY2ParserState & | getState ()

## Private Member Functions
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override

## Private Attributes
IWORKPropertyMap | m_props
IWORKStyleContext | m_base
IWORKStyleMap_t *const | m_styleMap
const bool | m_nested
boost::optional< std::string > | m_ident
boost::optional< std::string > | m_parentIdent

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, KEY2ParserState, KEYCollector >
KEYCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, KEY2ParserState, KEYCollector >
KEY2ParserState & | m_state

## Constructor & Destructor Documentation

## ◆ KEY2StyleContext()

libetonyek::KEY2StyleContext::KEY2StyleContext | ( | KEY2ParserState & | state,
|  | IWORKStyleMap_t * | styleMap,
|  | bool | nested = `false`
| ) |  |

## Member Function Documentation

## ◆ attribute()

void libetonyek::KEY2StyleContext::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| overrideprivate

## ◆ element()

IWORKXMLContextPtr_t libetonyek::KEY2StyleContext::element | ( | int | name | ) |
| overrideprivate

## ◆ endOfElement()

void libetonyek::KEY2StyleContext::endOfElement | ( |  | ) |
| overrideprivate

## Member Data Documentation

## ◆ m_base

IWORKStyleContext libetonyek::KEY2StyleContext::m_base
| private

Referenced by attribute().

## ◆ m_ident

boost::optional<std::string> libetonyek::KEY2StyleContext::m_ident
| private

Referenced by attribute(), and endOfElement().

## ◆ m_nested

const bool libetonyek::KEY2StyleContext::m_nested
| private

Referenced by endOfElement().

## ◆ m_parentIdent

boost::optional<std::string> libetonyek::KEY2StyleContext::m_parentIdent
| private

Referenced by attribute(), and endOfElement().

## ◆ m_props

IWORKPropertyMap libetonyek::KEY2StyleContext::m_props
| private

Referenced by element(), and endOfElement().

## ◆ m_styleMap

IWORKStyleMap_t* const libetonyek::KEY2StyleContext::m_styleMap
| private

Referenced by endOfElement().

The documentation for this class was generated from the following files:

- KEY2StyleContext.h
- KEY2StyleContext.cpp